GetArtefact
GET/artefacts/:artefact_key
Get an artefact download link.
For security reasons, other endpoints (e.g. GET /verifications/{id}) may return only an artefact_key.
Use this endpoint to exchange that key for a time-limited pre-signed URL that can be used
to download the file.
You may also pass a verification ID in place of an artefact key. In that case
Vouchsafe returns a pre-signed URL to that verification's downloadable PDF report.
Reports are only available for fully-decided verifications (Verified, ManuallyReviewed, or Refused); any other state returns
409 Report not available.
Vouchsafe will respond with:
- the requested
artefact_key - a
download_url(pre-signed and time-limited) - an
expires_attimestamp (ISO 8601, UTC)
Note: The download_url will stop working after expires_at.
If it expires, request a new URL using this endpoint.
Request
Responses
- 200
- 400
- 401
- 404
- 409
OK
Bad request
Unauthorised
Not found
Report not available